Generation Framework

## org.eclipse.gmf.mappings
Interface TopNodeReference

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, NeedsContainment, NodeReference, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  TopNodeReferenceImpl

    public interface TopNodeReference

extends NodeReference

A representation of the model object 'Top Node Reference'.

The following features are supported:

- `Owned Child`

See Also:
  `GMFMapPackage.getTopNodeReference()`
** Generated **
Model:

Method Summary
`NodeMapping` `getOwnedChild()` Returns the value of the 'Owned Child' containment reference
`void` `setOwnedChild(NodeMapping value)` Sets the value of the '`Owned Child`' containment reference

Methods inherited from interface org.eclipse.gmf.mappings.NodeReference
`getChild, getChildrenFeature, isSetChild, setChildrenFeature`

Methods inherited from interface org.eclipse.gmf.mappings.NeedsContainment
`getContainmentFeature, setContainmentFeature`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOwnedChild

    NodeMapping getOwnedChild()

  Returns the value of the 'Owned Child' containment reference.

  If the meaning of the 'Owned Child' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Owned Child' containment reference.
  See Also:
    `setOwnedChild(NodeMapping)`, `GMFMapPackage.getTopNodeReference_OwnedChild()`
  ** Generated **
  Model:
    containment="true" required="true"

### setOwnedChild

    void setOwnedChild(NodeMapping value)

  Sets the value of the '`Owned Child`' containment reference.

  Parameters:
    `value` - the new value of the 'Owned Child' containment reference.
  See Also:
    `getOwnedChild()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.